class_name BoxPuzzle
extends Puzzle

@export var boxes: Array[Box] = []

func _process(delta):
	var is_finished = true
	for box in boxes:
		if !box.is_finished:
			is_finished = false
			break;
			
	if is_finished:
		complete()
